# Pages

![Page displayed as desktop window](https://620394196-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1JcgdTkn7CUOMdfsVjOO%2Fuploads%2FRnIwzzTUkkgttcBlN3pz%2Fimage.png?alt=media\&token=477f67f2-c3f0-4c67-9644-2af785903f25)

You can use the `Show-PSUPage` cmdlet from any script to pop up a tool window for a page, dashboard or other URL. This means that you can integrate with Hotkeys, Shortcuts, Protocol handlers and more to display user interfaces that appear like regular windows.&#x20;

## Displaying a Page

For example, you could place the following in a script to display a page.&#x20;

```powershell
Show-PSUPage -Url "MyPage"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v3/desktop/pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
